Debian Bug report logs - #435186
tries to mmap() /dev/zero with PROT_EXEC

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Ron <iampure@gmail.com>

Date: Sun, 29 Jul 2007 22:12:01 UTC

Severity: normal

Tags: moreinfo

Merged with 435250, 435276, 435283, 435359, 435377

Found in version udev/0.113-2

Fixed in version udev/0.113-3

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435186; Package xorg. Full text and rfc822 format available.

Acknowledgement sent to Ron <iampure@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ron <iampure@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xorg: Crash
Date: Mon, 30 Jul 2007 00:10:52 +0200
Package: xorg
Version: 1:7.2-5
Severity: important

No other error messages. 

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c8631]
1: [0xb7f2d420]
2: /usr/lib/xorg/modules//libfb.so(fbFillRegionSolid+0xd5) [0xb705cca5]
3: /usr/lib/xorg/modules//libfb.so(fbPaintWindow+0xb3) [0xb705ce03]
4: /usr/lib/xorg/modules/drivers//nvidia_drv.so(_nv000718X+0x267) [0xb7133957]

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-k7 (SMP w/1 CPU core)
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xorg depends on:
ii  eterm [x-terminal-emu 0.9.4.0debian1-2   Enlightened Terminal Emulator
ii  gnome-terminal [x-ter 2.18.1-1           The GNOME 2 terminal emulator appl
ii  konsole [x-terminal-e 4:3.5.7-2+b1       X terminal emulator for KDE
ii  libgl1-mesa-glx [libg 6.5.2-7            A free implementation of the OpenG
ii  libglu1-mesa          6.5.2-7            The OpenGL utility library (GLU)
ii  rxvt [x-terminal-emul 1:2.6.4-12         VT102 terminal emulator for the X 
ii  type-handling [not+sp 0.2.21             dpkg architecture generation scrip
ii  xbase-clients         1:7.2.ds2-2        miscellaneous X clients
ii  xfonts-100dpi         1:1.0.0-4          100 dpi fonts for X
ii  xfonts-75dpi          1:1.0.0-4          75 dpi fonts for X
ii  xfonts-base           1:1.0.0-5          standard fonts for X
ii  xfonts-scalable       1:1.0.0-6          scalable fonts for X
ii  xkb-data              1.0~cvs.20070721-1 X Keyboard Extension (XKB) configu
ii  xorg-docs             1:1.4-2            Miscellaneous documentation for th
ii  xserver-xorg          1:7.2-5            the X.Org X server
ii  xterm [x-terminal-emu 228-1              X terminal emulator
ii  xutils                1:7.1.ds.3-1       X Window System utility programs

Versions of packages xorg recommends:
ii  libgl1-mesa-dri               6.5.2-7    A free implementation of the OpenG

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435186; Package xorg. Full text and rfc822 format available.

Acknowledgement sent to Jeronimo Pellegrini <pellegrini@mpcnet.com.br>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 435186@bugs.debian.org (full text, mbox):

From: Jeronimo Pellegrini <pellegrini@mpcnet.com.br>
To: 435186@bugs.debian.org
Subject: Probably the nvidia driver...
Date: Mon, 30 Jul 2007 08:45:36 -0300
Hi,

It happened to me also (today), and after looking into several packages
and changing lots of things, the only thing that worked was to switch
from the driver provided by NVidia to the one in Xorg.

J.



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ron <iampure@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 435186-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ron <iampure@gmail.com>, 435186-done@bugs.debian.org
Subject: Re: Bug#435186: xorg: Crash
Date: Mon, 30 Jul 2007 13:57:13 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 30, 2007 at 00:10:52 +0200, Ron wrote:

> Backtrace:
> 0: /usr/bin/X(xf86SigHandler+0x81) [0x80c8631]
> 1: [0xb7f2d420]
> 2: /usr/lib/xorg/modules//libfb.so(fbFillRegionSolid+0xd5) [0xb705cca5]
> 3: /usr/lib/xorg/modules//libfb.so(fbPaintWindow+0xb3) [0xb705ce03]
> 4: /usr/lib/xorg/modules/drivers//nvidia_drv.so(_nv000718X+0x267) [0xb7133957]
> 
Hi,

you are using a proprietary driver, which means there's no way for
Debian to provide support for it.  Please ask nvidia for support.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435186; Package xorg. Full text and rfc822 format available.

Acknowledgement sent to Piotr Kaczuba <pepe@attika.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 435186@bugs.debian.org (full text, mbox):

From: Piotr Kaczuba <pepe@attika.ath.cx>
To: 435186@bugs.debian.org
Subject: xorg: Crash
Date: Mon, 30 Jul 2007 16:37:04 +0200
I had the following error message:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80c8631]
1: [0xffffe500]

Fatal server error:
Caught signal 11.  Server aborting

No mention of nvidia. Although I do use the nvidia proprietary driver.
Downgrading to udev 0.105-4 solved the problem.

A strace of X revealed the reason for the crash:

> 13597 open("/dev/zero", O_RDWR)         = 19
> 13597 mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, 19, 0x2000) = -1 EPERM (Operation not permitted)
> 13597 close(19)                         = 0
> 13597 --- SIGSEGV (Segmentation fault) @ 0 (0) ---

With udev 0.105-4 the mmap succeeds.
The reason for EPERM is that the mmap call specifies PROT_EXEC but since
udev 0.113-1 /dev is mounted with the noexec mount option.

Piotr



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#435186; Package xorg. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 435186@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Piotr Kaczuba <pepe@attika.ath.cx>, 435186@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#435186: xorg: Crash
Date: Mon, 30 Jul 2007 18:01:33 +0200
reopen 435186
reassign 435186 nvidia-glx
retitle 435186 tries to mmap() /dev/zero with PROT_EXEC
thanks

On Mon, Jul 30, 2007 at 16:37:04 +0200, Piotr Kaczuba wrote:

> I had the following error message:
> 
> Backtrace:
> 0: /usr/bin/X(xf86SigHandler+0x81) [0x80c8631]
> 1: [0xffffe500]
> 
> Fatal server error:
> Caught signal 11.  Server aborting
> 
> No mention of nvidia. Although I do use the nvidia proprietary driver.
> Downgrading to udev 0.105-4 solved the problem.
> 
> A strace of X revealed the reason for the crash:
> 
> > 13597 open("/dev/zero", O_RDWR)         = 19
> > 13597 mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, 19, 0x2000) = -1 EPERM (Operation not permitted)
> > 13597 close(19)                         = 0
> > 13597 --- SIGSEGV (Segmentation fault) @ 0 (0) ---
> 
> With udev 0.105-4 the mmap succeeds.
> The reason for EPERM is that the mmap call specifies PROT_EXEC but since
> udev 0.113-1 /dev is mounted with the noexec mount option.
> 
I don't see anything in the xserver code that would do that on a quick
look.  Reassigning to nvidia-glx for now.

Cheers,
Julien



Bug reopened, originator not changed. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 16:06:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `xorg' to `nvidia-glx'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 16:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to `tries to mmap() /dev/zero with PROT_EXEC' from `xorg: Crash'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 16:06:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `nvidia-glx' to `udev'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 19:12:05 GMT) Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 19:12:06 GMT) Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283 435359. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 31 Jul 2007 10:09:12 GMT) Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283 435359 435377. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 31 Jul 2007 19:57:06 GMT) Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283 435359 435377. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Wed, 01 Aug 2007 07:24:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Sep 2007 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:12:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.